"""zksync address label_data name index

Revision ID: 6f7c8d64d49a
Revises: a1d9fab5f904
Create Date: 2024-04-29 15:26:43.880238

"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "6f7c8d64d49a"
down_revision = "a1d9fab5f904"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index(
        "ix_zksync_era_labels_address_label_data_name",
        "zksync_era_labels",
        ["address", sa.text("(label_data ->> 'name')")],
        unique=False,
        postgresql_using="btree",
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(
        "ix_zksync_era_labels_address_label_data_name",
        table_name="zksync_era_labels",
        postgresql_using="btree",
    )
    # ### end Alembic commands ###
